org.keycloak.services.clientregistration

## Class AdapterInstallationClientRegistrationProvider

- java.lang.Object
- - org.keycloak.services.clientregistration.AdapterInstallationClientRegistrationProvider

- All Implemented Interfaces:
    Provider, ClientRegistrationProvider

      public class AdapterInstallationClientRegistrationProvider
      extends Object
      implements ClientRegistrationProvider

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdapterInstallationClientRegistrationProvider(KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `javax.ws.rs.core.Response` | `get(String clientId)`
    `ClientRegistrationAuth` | `getAuth()`
    `EventBuilder` | `getEvent()`
    `void` | `setAuth(ClientRegistrationAuth auth)`
    `void` | `setEvent(EventBuilder event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdapterInstallationClientRegistrationProvider

          public AdapterInstallationClientRegistrationProvider(KeycloakSession session)

  - ### Method Detail

    - #### get

          @GET
           @Path(value="{clientId}")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response get(@PathParam(value="clientId")
                                                                                                                    String clientId)

    - #### setAuth

          public void setAuth(ClientRegistrationAuth auth)

      Specified by:
        `setAuth` in interface `ClientRegistrationProvider`

    - #### getAuth

          public ClientRegistrationAuth getAuth()

      Specified by:
        `getAuth` in interface `ClientRegistrationProvider`

    - #### setEvent

          public void setEvent(EventBuilder event)

      Specified by:
        `setEvent` in interface `ClientRegistrationProvider`

    - #### getEvent

          public EventBuilder getEvent()

      Specified by:
        `getEvent` in interface `ClientRegistrationProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2020 JBoss by Red Hat. All rights reserved.